#pragma once

class MxReadOpt
{
public:
	MxReadOpt(void);
	virtual ~MxReadOpt(void);

	bool Do(McDbDatabase* pDesDatabase,
		LPCTSTR pszFileName
		);

	LPCTSTR GetErrorInfo() const
	{
		return m_sError;
	};

protected:

	bool VerifyFilePath(LPCTSTR pszFileName,OUT MxString& sFileDir);

private:
	MxString       m_sError;
};
